%define			name wmlenovo
%define			version 0.0.1
%define			release 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Dockapp for monitoring battery state, CPU, GPU and motherboard temperatures, cpu and fan speed on Lenovo (IBM) laptops.

Group:			Graphical Desktop/Other
License:		GPL
URL:			http://dockapps.org/file.php/id/347
Source0:		%{name}-%{version}.tgz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires:		libxpm
BuildRequires:  	xpm-devel

%description
Dockapp for monitoring battery state, CPU, GPU and motherboard temperatures, cpu and fan speed on Lenovo (IBM) laptops. Require ACPI and thinkpad_acpi. The application based on wmbatteries.

%prep
%setup -q -n %{name}

%build
%configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# xdg menu entry
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=wmlenovo
GenericName=Battery monitor for ThinkPads
Exec=%{_bindir}/%{name}
Icon=monitoring_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Monitoring;System;Monitor;
EOF

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING NEWS THANKS TODO ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.lzma

%changelog
* Mon Feb 23 2009 Mario Blättermann <rpm@mandrivauser.de> 0.0.1-1mud2009.0
- Initial version
